[% setvar title Get Involved - Help making Perl 6 %]

[% menu nav gettingstarted %]

<div id="subpage-header">
    [% include camelia %]
    <h2>[% readvar title %]</h2>

    <p>You don't need to be a guru or a wizard to help Perl 6 development.
    Just some free time, and the willingness to be part of a great
    community. There are a myriad of tasks for every skill set.</p>

    <p>Most of them require coordination and help from the rest of the
    community, so <a href="/community/">get in touch with us</a>.</p>

    <p>Below are some ideas what you could do to help us. The list is by
    no means complete.</p>
</div>

<div id="col1">
    <h3>Programming Tasks</h3>
    <ul>
        <li><strong>Write a module</strong> and add it to the <a
            href="http://proto.perl6.org/">proto</a> module list.</li>
        <li><a href="http://svn.pugscode.org/pugs/t/spec/">Write tests</a></li>
        <li><a href="/compilers/">Help writing a compiler</a></li>
        <li>Find, report and fix bugs</li>
        <li>Help building a module infrastructure</li>
    </ul>
</div>

<div id="col2">
    <h3>Other Tasks</h3>
    <ul>
        <li>Write documentation</li>
        <li>Blog about Perl 6</li>
        <li>Write mailing list summaries</li>
        <li>Organize Perl 6 conferences or hackathons</li>
        <li>Raise funds for Perl 6 development</li>
        <li>Answer questions on IRC, mailing lists and perlmonks</li>
        <li>Help to administer services (IRC bots, source code repositories,
            servers)</li>
    </ul>
</div>
